      Program GetCteq6
      Implicit Double Precision(a-h,o-z)

      Do I=1,10
         print*,'input Iset,Iparton,X,Q:'
         read(*,*) Iset, Iparton, X, Q
         If(Iset.eq.0) goto 20
C                                           -----------------
         Call SetCtq6(Iset)
         pdf = Ctq6Pdf (Iparton,X,Q)
C                                           -----------------
         write(*,'(A,2e15.5)') 'PDF, x*PDF:',pdf, x*pdf
      Enddo

20    stop 'Iset not set.'
      end
